/*
 * drivers/pcmcia/trex.h PowerBook 190 1900 5300 PCMCIA socket driver
 */

#define TREX_IRQ	24
#define TREX_CFG	0x50f1c000
#define TREX_SLOT0_BASE	0x80000000
#define TREX_SLOT1_BASE	0x88000000
#define TREX_ATTR_BASE	0x00000000
#define TREX_MEM_BASE	0x04000000	
#define TREX_SLOT0_ATTR	(TREX_SLOT0_BASE)
#define TREX_SLOT0_MEM	(TREX_SLOT0_BASE + TREX_MEM_BASE)
#define TREX_SLOT1_ATTR	(TREX_SLOT1_BASE)
#define TREX_SLOT1_MEM	(TREX_SLOT1_BASE + TREX_MEM_BASE)

#define TREX_NUM_SOCKETS	(2)

#define CARD_STATUS_READY_BIT0		(1 << 0)
#define CARD_STATUS_READY_BIT1		(1 << 1)
#define CARD_STATUS_INSERTED_BIT2	(1 << 2)
#define CARD_STATUS_INSERTED_BIT3	(1 << 3)

#define U1_7		(1 << 7)	/* ??? */
#define U1_6		(1 << 6)	/* ??? */
#define U1_ATTR_MEM    	(1 << 5)	/* Needed for dump_cis, no green l */
#define U1_4		(1 << 4)	/* Needed for dump_cis, multiplex? */
#define U1_3		(1 << 3)	/* Needed for dump_cis, multiplex? */
#define U1_2_INT_EN	(1 << 2)	/* Interrupts enable */
#define U1_1		(1 << 1)	/* Must not be set, power off */
#define U1_0		(1 << 0)	/* Needed, otherwise data is */
#define U1_ATTR_MASK (U1_4 | U1_3 | U1_2_INT_EN | U1_0) // dec61

#define U2_7		(1 << 7)
#define U2_6		(1 << 6)
#define U2_5		(1 << 5)
#define U2_4		(1 << 4)
#define U2_3		(1 << 3)
#define U2_2		(1 << 2)
#define U2_1_PWR_EN	(1 << 1)
#define U2_0		(1 << 0)
#define U2_MASK		(U2_1_PWR_EN)

#define FAKE_ATTR_SIZE	0x10000
